### Function

# EDataServer get_user_data_dir

since: 2.32

#### Declaration [src]

    const gchar*
    e_get_user_data_dir (
      void
    )

#### Description [src]

Returns a base directory in which to store user-specific data for Evolution or Evolution-Data-Server.

The returned string is owned by libedataserver and must not be modified or freed.

Available since: 2.32

#### Return value

Type: `const gchar*`

Base directory for user-specific data.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.